ibus-libpinyin (1.16.5-6ubuntu1) stonking; urgency=medium

  * Transition to lua5.5 (LP: #2155757)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 14 Aug 2026 15:07:39 -0500

ibus-libpinyin (1.16.5-6) unstable; urgency=medium

  * Team upload.
  * debian/rules: Enforce C++17 standard to avoid FTBFS with opencc
    1.4.1 (upstream issue 569).

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2026 09:59:06 -0400

ibus-libpinyin (1.16.5-5) unstable; urgency=medium

  * Team upload.
  * debian/control: Do not ship ibus-libbopomofo binary package
    before upstream issue 565 is handled. (Closes: #1138753)

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Aug 2026 14:40:43 -0400

ibus-libpinyin (1.16.5-4) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Refresh license information.
  * debian/: Split the binary package:
    + ibus-libpinyin: Only enables the ibus-libpinyin input method
      upon installation.
    + ibus-libbopomofo: Only enables the ibus-libbopomofo input method
      upon installation.
    + ibus-libpinyin-common: Stores all common files shared between the
      input methods.
    The binary package splitting is necessary to properly fix the
    input method enabling issue in mixed environments, such as Debian
    Live system. This really closes: #1138753.
  * debian/patches/0004-libpinyin.xml-Use-split-package-path.patch:
    Add patch to support binary package splitting by redirecting the
    input method discovery to a wrapper.
  * debian/ibus-libpinyin-list-engines: Add the wrapper for dynamic
    input method engine discovery.
  * debian/split-engines.py: Add the build-time helper script to split
    the input method availability XML dynamically.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jun 2026 15:53:48 -0400

ibus-libpinyin (1.16.5-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.4.
  * debian/control: Drop Rules-Requires-Root: no, now default.
  * debian/patches/set-locale-properly.patch: Drop the patch as
    ibus-libbopomofo is not for zh_CN but for zh_TW per upstream
    explanation.
  * debian/patches/:
    + c92478b3f5c65a2feae45b6bd24c292c8f059989.patch:
      Add patch on the config file for libbopomofo from upstream trunk
      to unfavor Simplified Chinese when libbopomofo is selected.
    + 0003-default.inputmethod.xml-Lower-the-rank-for-ibus-libb.patch:
      Add custom patch to reduce the preference value of libbopomofo in
      zh_TW locale so that it will not appear as the first input method
      candidate, and hopefully not enabled by default in mixed
      environments like Debian Live systems.
      Hopefully the new patch really closes: #1138753.
  * Split the two input methods into separately installable packages:
    + New binary package ibus-libpinyin-common holds the shared engine
      executable, setup tool, IBus component and common data files.
    + ibus-libpinyin and ibus-libbopomofo are now thin packages that each
      ship a single per-engine snippet under
      /usr/share/ibus-libpinyin/engines.d/; an input method is only
      advertised to IBus when its package is installed.
    + The IBus component now lists engines via a new wrapper
      (/usr/libexec/ibus-libpinyin-list-engines) that concatenates the
      installed engines.d snippets, instead of the static default.xml.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Jun 2026 09:52:28 -0400

ibus-libpinyin (1.16.5-2.1) unstable; urgency=medium

  * NMU.
  * Add set-locale-properly.patch: not enabled by default in any locale
    other than zh_CN to make the localized desktop in Debian accurate,
    respectful, and user-friendly. (Closes: #1138753)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 04 Jun 2026 10:05:19 +0200

ibus-libpinyin (1.16.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop build-dependency to gnome-common. (Closes: #1112412)
  * debian/rules: Adjust accordingly.
  * debian/patches/72c91a0f7449607927d2383fec1dc6ef3144793f.patch:
    Add upstream-applied patch to avoid using gnome-common.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Nov 2025 10:42:21 -0500

ibus-libpinyin (1.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to unstable.
  * debian/lintian-overrides: Drop unused overrides.
  * debian/watch: Migrate to version 5.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Oct 2025 15:33:07 -0400

ibus-libpinyin (1.16.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Require new libpinyin15-dev and libnotify-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Mar 2025 14:05:18 -0400

ibus-libpinyin (1.15.8-2) unstable; urgency=medium

  * Team upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Rebuild against opencc 1.1.9.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 16:25:08 -0400

ibus-libpinyin (1.15.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Rebuild against opencc 1.1.8.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 20:39:30 -0400

ibus-libpinyin (1.15.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add explicit build-dependency pkgconf.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 17:40:50 -0500

ibus-libpinyin (1.15.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Dec 2023 13:30:53 -0500

ibus-libpinyin (1.15.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Dec 2023 17:44:24 -0500

ibus-libpinyin (1.15.4-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable
    - The upload to experimental built successfully on armel and armhf,
      so this closes: #978401.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 09 Sep 2023 01:13:44 +0200

ibus-libpinyin (1.15.4-1~exp1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Dropped patches, applied upstream
  * Attempt to build with lua support on all archs
  * Lintian override about no-manual-page etc.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 06 Sep 2023 11:37:22 +0200

ibus-libpinyin (1.15.3-2) unstable; urgency=medium

  * Team upload
  * Port ibus-libpinyin to use libsoup3
    - Applied related upstream commit
    - Require libsoup-3.0 in configure.ac
    - d/control: Change to libsoup-3.0-dev in Build-Depends

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 16 Jun 2023 14:12:30 +0200

ibus-libpinyin (1.15.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 13 Jun 2023 19:01:14 +0200

ibus-libpinyin (1.15.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (bug fix)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 26 Feb 2023 23:56:07 +0100

ibus-libpinyin (1.15.0-1) unstable; urgency=medium

  * Team upload

  [ Janitor ]
  * d/control: Drop versioned constraint on libibus-1.0-dev

  [ Gunnar Hjalmarsson ]
  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright year
  * Upstream metadata file created

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 08 Jan 2023 02:09:40 +0100

ibus-libpinyin (1.14.91-1) unstable; urgency=medium

  * Team upload
  * New upstream pre-release
  * d/control: Build with libpinyin15-dev
  * Add basic debian/gbp.conf

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 22 Nov 2022 10:12:04 +0100

ibus-libpinyin (1.13.0-3) unstable; urgency=medium

  * Team upload
  * Work around uscan issue with GitHub releases page

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Nov 2022 16:44:31 +0100

ibus-libpinyin (1.13.0-2) unstable; urgency=medium

  * Team upload
  * Disable lua support on armhf

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 28 Aug 2022 04:36:16 +0200

ibus-libpinyin (1.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 28 Aug 2022 03:29:49 +0200

ibus-libpinyin (1.12.1-2) unstable; urgency=medium

  * Team upload.
  * Disable lua support on armel again due to memory allocation
    error in lua test.
  * debian/control: Use dh-sequence-python3 to replace dh-python.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Sep 2021 09:54:50 -0400

ibus-libpinyin (1.12.1-1) unstable; urgency=medium

  * Team upload.
  * Try to re-enable all lua binding after upstream improvement.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Require libpinyin13-dev (>= 2.6.1) to incorporate
    upstream improvement.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Sep 2021 21:26:50 -0400

ibus-libpinyin (1.12.0-3) unstable; urgency=medium

  * Disable lua binding on armel/armhf/mipsel due to Bug #978401.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 20:36:29 -0500

ibus-libpinyin (1.12.0-2) unstable; urgency=medium

  * Team upload.
  * Migrate from /usr/lib/ibus to /usr/libexec. (Closes: #955235)

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 13:49:13 -0500

ibus-libpinyin (1.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.12.0.
  * Enable opencc and cloud input support.
  * debian/patches: Drop all patches, merged upstream.
  * debian/copyright: Migrate to GPL-3.0+ license.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 13:26:57 -0500

ibus-libpinyin (1.11.92-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream pre-release 1.11.92.
  * debian/patches: Drop all backported patches.
  * debian/watch: Make the watch file working again.
  * debian/patches: Drop backported patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 18:29:22 -0400

ibus-libpinyin (1.11.1-3) unstable; urgency=high

  * Team upload.
  * Prepare for Ubuntu 20.04 LTS release.
  * debian/patches:
    + Cherry-pick upstream patches on fixing period handling.
      (LP: #1870609)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 17:56:51 -0400

ibus-libpinyin (1.11.1-2) unstable; urgency=high

  * Team upload.
  * Prepare for Ubuntu 20.04 LTS release.
  * debian/patches:
    + Cherry-pick upstream patches on using Python 3.2+.
    + Cherry-pick upstream patches to fix generation of .desktop
      files.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Mar 2020 12:04:22 -0400

ibus-libpinyin (1.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.11.1.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Remove intltool build-dependency, no longer needed.
    + Add missing build-dependency python3-gi.
    + Use "Rules-Requires-Root: no".
  * debian/rules:
    + Include buildflags.mk to avoid manual invocation of
      dpkg-buildflags.
    - Drop --with autoreconf from dh argument, not needed.
    + Use "dh_missing --fail-missing".
  * debian/copyright: Correctly document the license of file
    libpinyin.appdata.xml as CC0-1.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Dec 2019 18:43:43 -0500

ibus-libpinyin (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Feb 2019 17:01:27 +0800

ibus-libpinyin (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5.
  * Change maintainer name to Debian Input Method Team.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 28 Jul 2018 12:55:06 +0800

ibus-libpinyin (1.9.2-2) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Build with liblua5.3-dev. (Closes: #884734)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Feb 2018 17:50:37 +0800

ibus-libpinyin (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
    * Use https in Format in debian/copyright.
  * Bump compat to 11.
  * Update Maintainer email to new mailing list.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Jan 2018 23:40:56 +0800

ibus-libpinyin (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * add python3-gi to depends. (Closes: #785070)

  [Matthias Klose]
  * Build with Python3 instead of Python2.
    (Closes: #883631, #883655, #883669)

 -- YunQiang Su <syq@debian.org>  Wed, 13 Dec 2017 20:40:58 +0800

ibus-libpinyin (1.7.3-2) unstable; urgency=medium

  * Team upload to unstable

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2015 20:16:28 +0800

ibus-libpinyin (1.7.3-1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 26 Nov 2015 19:48:30 +0800

ibus-libpinyin (1.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Oct 2015 23:21:02 +0800

ibus-libpinyin (1.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 20 Sep 2015 18:50:38 +0800

ibus-libpinyin (1.6.92-1) unstable; urgency=low

  * Team upload

  [ Aron Xu ]
  * New upstream release.
  * debian/patches:
    - Remove 0001-Update-the-symbol-of-the-ibus-indicator.patch,
      applied upstream.
  * debian/rules:
    - Set default buildflags from dpkg-buildflags.
  * debian/control:
    - Remove obsolete B-D on hardening-wrappers
    - Std-ver: 3.9.4 -> 3.9.6, no change required.
    - Add myself to Uploaders.

  [ Osamu Aoki ]
  * Merged 1.6.91-2.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Oct 2014 23:28:30 +0900

ibus-libpinyin (1.6.91-2) unstable; urgency=medium

  * Team upload
  * Add ibus dependency. Closes: #753377
  * Drop hadening-wrapper.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Oct 2014 16:40:47 +0900

ibus-libpinyin (1.6.91-1) unstable; urgency=low

  * Team upload

  [ Osamu Aoki ]
  * Imported Upstream version 1.6.91

  [ YunQiang Su ]
  * Import new commit from upstream
      0001-Update-the-symbol-of-the-ibus-indicator.patch
      0002-fixes-lua-5.2-compile.patch
  * Build depends on liblua5.1-dev
  * Bump build-dep on libpinyin4-dev
  * Use gnome-common and autogen.sh work with dh-autoreconf

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 30 Sep 2013 20:59:24 +0800

ibus-libpinyin (1.4.93-2) experimental; urgency=low

  * Team upload.
  * Fix libexecdir to match ibus-setup expectation.
    Closes: #712578

 -- Osamu Aoki <osamu@debian.org>  Wed, 19 Jun 2013 22:00:14 +0900

ibus-libpinyin (1.4.93-1) experimental; urgency=low

  * Initial release (Closes: #689963)

 -- Asias He <asias@debian.org>  Sun, 07 Oct 2012 13:47:16 +0800
